%global modname  jaraco
%global projname %{modname}.logging
%global pkgname  %{modname}-logging

Name:           python-%{pkgname}
Version:        3.1.2
Release:    1%{?dist}
Summary:        Support for Python logging facility

License:        MIT
URL:            https://github.com/jaraco/%{projname}
Source0:        %{pypi_source %{projname}}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Support for Python logging facility.}

%description %_description

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-jaraco

%description -n python3-%{pkgname} %_description

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
%exclude %dir %{python3_sitelib}/jaraco 

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-1
- initial build
